Bug 18247 - Pflege der LDAP-Attribute an der primären Gruppe deaktivierbar machen
Pflege der LDAP-Attribute an der primären Gruppe deaktivierbar machen
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Users
UCS 2.3
Other Linux
: P5 enhancement (vote)
: UCS 3.1
Assigned To: Felix Botner
Stefan Gohmann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 16:04 CEST by Ingo Steuwer
Modified: 2012-12-12 21:10 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted (downgraded) after PO Review:
Ticket number:
Bug group (optional): UCS Performance
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Steuwer univentionstaff 2010-04-26 16:04:27 CEST
In großen Umgebungen werden die Änderungen an der primären Standardgruppe "Domain Users" zu Flaschenhals bei der Benutzeradministration, da wir dort uniqueMember und memberUid vollständig durch einen "replace" ersetzten, wenn ein neuer Benutzer angelegt oder ein bestehender gelöscht bzw. die primäre Gruppe geändert wird. Ausserdem reagieren NSCD, Samba u.a. mit geringer Performance auf große Gruppen.

Für die primäre Gruppe ist die Pflege der Attribute an der Gruppe für Dateisystemrechte, Samba und andere an Posix gebundene Dienste irrelevant. Sie sollte daher optional deaktivierbar sein.
Comment 1 Stefan Gohmann univentionstaff 2012-07-17 17:10:00 CEST
UCS 3.1 will be the next release.
Comment 2 Felix Botner univentionstaff 2012-11-06 17:01:13 CET
Mit

  directory/manager/user/primarygroup/update=false

sollte sich das Update der primären Gruppe beim Anlegen von Benutzern nun verhindern lassen.
Comment 3 Stefan Gohmann univentionstaff 2012-11-15 16:41:30 CET
OK, das funktioniert wie gewünscht.

Changelog: OK
Comment 4 Stefan Gohmann univentionstaff 2012-12-12 21:10:31 CET
UCS 3.1-0 has been released: 
 http://forum.univention.de/viewtopic.php?f=54&t=2125

If this error occurs again, please use "Clone This Bug".